// PROXY init()

// Wrapper for the "init" function
function init_Wrapper_CircularCamera(target, args)
{
    // Run original function
    target(...args);

    // Run additional code
    const options = Engine.ReadJSONFile("gui/options/options~CircularCamera.json");
    g_Options = g_Options.concat(options)

    // TODO: translation. The expected command (below) raises an error
    // translateObjectKeys(g_Options, ["label", "tooltip"]);

    placeTabButtons(
	g_Options,
	false,
	g_TabButtonHeight,
	g_TabButtonDist,
	selectPanel,
	displayOptions
    );

    // Write default values if missing
    const settings = new CircularCameraSettings();
    settings.createDefaultSettingsIfNotExist();
};

// Handler for the "init" function
const init_Handler_CircularCamera = {
    apply: function(target, thisArg, args) {
        return init_Wrapper_CircularCamera(target, args);
    }
};

// Proxy the "init" function
init = new Proxy(init, init_Handler_CircularCamera);
